Name:           perl-Test-Moose-More
Version:        0.050
Release:        3%{?dist}
Summary:        More tools for testing Moose packages
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Moose-More/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/Test-Moose-More-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::OptList)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Meta::Attribute)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::MetaRole)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Syntax::Keyword::Junction)
BuildRequires:  perl(TAP::SimpleOutput) >= 0.009
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Data::OptList)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util) >= 1.45
Requires:       perl(Moose::Util)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(Scalar::Util)
Requires:       perl(strict)
Requires:       perl(Sub::Exporter::Progressive)
Requires:       perl(Syntax::Keyword::Junction)
Requires:       perl(Test::Builder)
Requires:       perl(Test::Moose)
Requires:       perl(Test::More) >= 0.94
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace Test::Moose in your
tests, and re-exports any tests that it has and we do not, yet.

%prep
%setup -q -n Test-Moose-More-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.050-3
- BuildReq perl-generators (dbd@ehtrace.com)

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.050-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.050-1
- Specfile autogenerated by cpanspec 1.78.
